Bug 740456 - Cannot terminate instance after compute node reboot
Cannot terminate instance after compute node reboot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openstack-nova (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-22 02:12 EDT by Mark McLoughlin
Modified: 2012-01-19 17:02 EST (History)
6 users (show)

See Also:
Fixed In Version: openstack-nova-2011.3.1-0.4.10818.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-19 17:02:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2011-09-22 02:12:29 EDT
On Fedora we have a libvirt-guests service which saves running guests on shutdown

If I reboot a compute node, the guest gets saved and then I try and terminate it, I get:

(nova.exception): TRACE:   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 502, in terminate_instance
(nova.exception): TRACE:     self._shutdown_instance(context, instance_id, 'Terminating')
(nova.exception): TRACE:   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 493, in _shutdown_instance
(nova.exception): TRACE:     self.driver.destroy(instance, network_info)
(nova.exception): TRACE:   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/connection.py", line 293, in destroy
(nova.exception): TRACE:     virt_dom.undefine()
(nova.exception): TRACE:   File "/usr/lib64/python2.7/site-packages/libvirt.py", line 1197, in undefine
(nova.exception): TRACE:     if ret == -1: raise libvirtError ('virDomainUndefine() failed', dom=self)
(nova.exception): TRACE: libvirtError: Requested operation is not valid: Refusing to undefine while domain managed save image exists
(nova.exception): TRACE: 

If this happens, Nova could do a virDomainManagedSaveRemove()

For now, we can just recommend disabling libvirt-guests
Comment 1 Derek Higgins 2011-11-03 20:36:33 EDT
Related to this bug 
https://bugs.launchpad.net/nova/+bug/814561
Comment 2 Mark McLoughlin 2011-11-04 02:12:12 EDT
Nice one Derek
Comment 3 Mark McLoughlin 2011-11-15 07:05:41 EST
The fix was merged into master, will get it into stable branch soon
Comment 4 Mark McLoughlin 2012-01-16 08:14:38 EST
Will be fixed in 2011.3.1
Comment 5 Fedora Update System 2012-01-17 19:29:18 EST
openstack-nova-2011.3.1-0.4.10818.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-nova-2011.3.1-0.4.10818.fc16
Comment 6 Fedora Update System 2012-01-18 20:38:10 EST
Package openstack-nova-2011.3.1-0.4.10818.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-nova-2011.3.1-0.4.10818.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0682/openstack-nova-2011.3.1-0.4.10818.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-01-19 17:02:12 EST
openstack-nova-2011.3.1-0.4.10818.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.